
QGIS Application - Bug report #4220

advanced size scale field and rotation field not showing columns of joined layer(s)

2011-08-24 07:51 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14181

Description

Using qgis-master, the list of columns to choose from under the size scale field and rotation field fails to display columns from joined

layer(s). It appears to be the only part of the new symbology that fails to take into account joined layers.

History

#1 - 2011-09-06 02:10 AM - Giovanni Manghi

- Assignee set to Martin Dobias

- Target version set to Version 1.7.1

#2 - 2011-09-06 10:31 AM - Martin Dobias

works for me in qgis-master. Please check that fields of your joined layer/table are actually of numeric type - e.g. in layer properties -> fields. Fields with

"string" type are naturally not shown.

#3 - 2011-11-12 05:51 AM - Tim Sutton

- Target version changed from Version 1.7.1 to Version 1.7.2

#4 - 2011-11-30 12:40 PM - Giovanni Manghi

- Target version changed from Version 1.7.2 to Version 1.7.3

#5 - 2011-12-16 10:54 AM - Giovanni Manghi

- Target version changed from Version 1.7.3 to Version 1.7.4

#6 - 2012-04-16 06:29 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#7 - 2012-06-06 12:37 AM - Mathieu Pellerin - nIRV

Martin, right, adding a .cvst file defining the integer / real columns did it. It's a pretty obscure requirement for the average Joe.

That said, it did reveal a different issue, that is QGIS apparently can't read the value of these joined columns (i.e. if I want to graduate a joined integer

column in 5 steps, the five steps will have '0.0000 - 0.0000' as min max range. Can you confirm this is the case with you?

#8 - 2012-06-07 03:59 AM - Giovanni Manghi
nirvn - wrote:

Martin, right, adding a .cvst file defining the integer / real columns did it. It's a pretty obscure requirement for the average Joe.

That said, it did reveal a different issue, that is QGIS apparently can't read the value of these joined columns (i.e. if I want to graduate a joined

integer column in 5 steps, the five steps will have '0.0000 - 0.0000' as min max range. Can you confirm this is the case with you?

it doesn't work for equal intervals, but seems to work with other modes (ex. quantiles).

#9 - 2012-06-07 04:24 AM - Giovanni Manghi

That said, it did reveal a different issue, that is QGIS apparently can't read the value of these joined columns (i.e. if I want to graduate a joined

integer column in 5 steps, the five steps will have '0.0000 - 0.0000' as min max range. Can you confirm this is the case with you?

as this issue is confirmed but is different from the original description, please change the title or close this ticket and file a new one.

#10 - 2012-06-07 04:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

#11 - 2012-06-07 02:17 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Feedback to Closed

as this issue is confirmed but is different from the original description, please change the title or close this ticket and file a new one.

someone already did, see #5761

#12 - 2012-06-07 06:33 PM - Mathieu Pellerin - nIRV

IMO, better to close this bug instead of morphing it. Who knows, it might help somebody else not knowing only Integer/Real fields are shown in the list.

I wonder whether an issue should be field surrounding the absence of user friendly hint within the interface re this.
